<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">FORM SIMPANAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-10"></div>
            <div class="col-sm-2">
              <button (click)="backClicked()" class="pull-right btn btn-success font-weight-bold btn-sm"><i class="fa fa-arrow-left"></i> Kembali</button>
            </div>
          </div><br><br>
          <form action="" method="post" class="form-horizontal" style="margin-top: -40px;" [formGroup]="formBuilder">
            <div class="row">
              <div class="col-sm-6">
                <div class="card">
                  <div class="card-body">
                    <div class="row">
                      <div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">
                        <label class="col-form-label">Nama Perusahaan</label>
                        <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                        <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectPerusahaan" [(value)]="selectedPerusahaan" (change)="doGetListMember()" [options]="listPerusahaan"></ngx-select-dropdown>-->
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">
                        <label class="col-form-label">Nama Anggota</label>
                        <!--<app-member-select [options]="listAnggota" (someChildEvent)="selectedAnggota=$event" ></app-member-select>-->
                        <!--<ngx-select-dropdown [multiple]="false" [config]="configSelectAnggota" [(value)]="selectedAnggota" [options]="listAnggota"></ngx-select-dropdown>-->
                        <input list="members" [(ngModel)]="selectedName" (keyup)="doGetListMember()" (change)="onMemberChanged(selectedName)" [ngModelOptions]="{standalone: true}" class="form-control custom-select custom-select-sm" placeholder="Cari Anggota...">
                        <datalist id="members">
                          <option *ngFor="let user of listAnggota" value="{{user.nama}} - {{user.nomorNik}}">{{user.nama}} - {{user.nomorNik}}</option>
                        </datalist>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-6" *ngIf="dataUser.role!=='AGT'">
                        <label class="col-form-label">Total Simpanan</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpanan | number}}" readonly>
                      </div>
                      <div class="col-sm-6" *ngIf="dataUser.role!=='AGT'">
                        <label class="col-form-label">Total Simpanan Pokok</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananPokok | number}}" readonly>
                      </div>
                    </div>
                    <div class="row">
                      <div class="col-sm-6" *ngIf="dataUser.role!=='AGT'">
                        <label class="col-form-label">Total Simpanan Wajib</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananWajib | number}}" readonly>
                      </div>
                      <div class="col-sm-6" *ngIf="dataUser.role!=='AGT'">
                        <label class="col-form-label">Total Simpanan Sukarela</label>
                        <input type="text" class="form-control" value="{{!saldoSimpanan ? 0 : saldoSimpanan.totalSimpananSukarela | number}}" readonly>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-sm-6">
                <!--<div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">-->
                  <!--<label class="col-form-label">Nama Perusahaan</label>-->
                  <!--<app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>-->
                  <!--&lt;!&ndash;<ngx-select-dropdown [multiple]="false" [config]="configSelectPerusahaan" [(value)]="selectedPerusahaan" (change)="doGetListMember()" [options]="listPerusahaan"></ngx-select-dropdown>&ndash;&gt;-->
                <!--</div>-->
                <!--<div class="col-sm-12" *ngIf="dataUser.role!=='AGT'">-->
                  <!--<label class="col-form-label">Nama Anggota</label>-->
                  <!--&lt;!&ndash;<app-member-select [options]="listAnggota" (someChildEvent)="selectedAnggota=$event" ></app-member-select>&ndash;&gt;-->
                  <!--&lt;!&ndash;<ngx-select-dropdown [multiple]="false" [config]="configSelectAnggota" [(value)]="selectedAnggota" [options]="listAnggota"></ngx-select-dropdown>&ndash;&gt;-->
                  <!--<input list="members" [(ngModel)]="selectedName" (keyup)="doGetListMember()" (change)="onMemberChanged(selectedName)" [ngModelOptions]="{standalone: true}" class="form-control custom-select custom-select-sm" placeholder="Cari Anggota...">-->
                  <!--<datalist id="members">-->
                    <!--<option *ngFor="let user of listAnggota" value="{{user.nama}}">{{user.nama}}</option>-->
                  <!--</datalist>-->
                <!--</div>-->
                <div class="col-sm-12">
                  <label class="col-form-label">Jenis Simpanan</label>
                  <select class="form-control" formControlName="jenisIuran">
                    <option value="" disabled>Pilih Jenis Simpanan</option>
                    <option value="Setoran">Setoran</option>
                    <option value="Penarikan">Penarikan</option>
                  </select>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Bentuk Simpanan</label>
                  <select class="form-control" (change)="setNamaSimpanan();" formControlName="kodeSimpanan">
                    <option value="" disabled>Pilih Bentuk Simpanan</option>
                    <option value="SPP">Simpanan Pokok</option>
                    <option value="SPW">Simpanan Wajib</option>
                    <option value="SPS">Simpanan Sukarela</option>
                  </select>
                  <input type="hidden" formControlName="namaSimpanan">
                  <input type="hidden" formControlName="ketIuran">
                </div>
                <div class="col-sm-12" *ngIf="formBuilder.controls.jenisIuran.value === 'Setoran' && formBuilder.controls.kodeSimpanan.value === 'SPW'">
                  <label class="col-form-label">Periode</label>
                  <div class="input-group">
                    <select name="bulan" class="form-control" formControlName="bulan">
                      <option value="" disabled>Pilih Bulan</option>
                      <option value="Januari">Januari</option>
                      <option value="Februari">Februari</option>
                      <option value="Maret">Maret</option>
                      <option value="April">April</option>
                      <option value="Mei">Mei</option>
                      <option value="Juni">Juni</option>
                      <option value="Juli">Juli</option>
                      <option value="Agustus">Agustus</option>
                      <option value="September">September</option>
                      <option value="Oktober">Oktober</option>
                      <option value="November">November</option>
                      <option value="Desember">Desember</option>
                    </select>
                    <select name="tahun" class="form-control ml-3" formControlName="tahun">
                      <option value="" disabled>Pilih Tahun</option>
                      <option value="{{currentYear - 2}}">{{currentYear - 2}}</option>
                      <option value="{{currentYear - 1}}">{{currentYear - 1}}</option>
                      <option value="{{currentYear}}">{{currentYear}}</option>
                      <option value="{{currentYear + 1}}">{{currentYear + 1}}</option>
                      <option value="{{currentYear + 2}}">{{currentYear + 2}}</option>
                    </select>
                  </div>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Nominal</label>
                  <div class="input-group">
                    <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominalSimpanan.value}}"
                           placeholder="Nominal Simpanan" formControlName="nominalSimpanan">
                  </div>
                </div>
                <div class="col-sm-12" *ngIf="formBuilder.controls.jenisIuran.value === 'Penarikan'">
                  <label class="col-form-label">Dari Kas</label>
                  <select class="form-control" (change)="setKeterangan();" formControlName="kodeMediaIuran">
                    <option value="" disabled>Pilih Media Iuran</option>
                    <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                    <!--<option value="TUNAI">Kas Tunai</option>-->
                    <!--<option value="MANDIRI">Bank Mandiri</option>-->
                    <!--<option value="BCA">Bank BCA</option>-->
                    <!--<option value="BRI">Bank BRI</option>-->
                  </select>
                </div>
                <div class="col-sm-12" *ngIf="formBuilder.controls.jenisIuran.value === 'Setoran'">
                  <label class="col-form-label">Untuk Kas</label>
                  <select class="form-control" (change)="setKeterangan();" formControlName="kodeMediaIuran">
                    <option value="" disabled>Pilih Media Iuran</option>
                    <option *ngFor="let data of listBank" value="{{data.kodeBank}}">{{data.namaBank}}</option>
                    <!--<option value="TUNAI">Kas Tunai</option>-->
                    <!--<option value="MANDIRI">Bank Mandiri</option>-->
                    <!--<option value="BCA">Bank BCA</option>-->
                    <!--<option value="BRI">Bank BRI</option>-->
                  </select>
                </div>
                <div class="col-sm-12">
                  <label class="col-form-label">Keterangan</label>
                  <textarea rows="2" id="keterangan" class="form-control" formControlName="keterangan" placeholder="Keterangan"></textarea>
                </div>
              </div>
            </div><br>
            <button class="btn btn-success btn-lg" (click)="doSubmitSimpanan()" [disabled]="formBuilder.invalid || !selectedAnggota"><i class="fa fa-save"></i> SUBMIT</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
